<?php



/**
 * class GZ_DataMapper
 *
 * This class provides an object that can extract data from another class
 * by providing a mapping from a text name, to the getter function and
 * data conversion functions
 **/
class GZ_DataMapper
{
  // PUBLIC
      
  public function __construct()
  {
    $this->mappings = Array();
  }
  
  public function MakeMapping( $name, $access_method, $conversion_function = null )
  {
    $new_mapping = Array();
    $new_mapping['name'] = $name;
    $new_mapping['access_method'] = $access_method;
    $new_mapping['conversion_function'] = $conversion_function;

    $this->AddMapping( $new_mapping );
  }
  
  public function AddMapping( $new_mapping )
  {
    $this->mappings[] = $new_mapping;
  }
  
  public function SetInstance( $s_instance ) { $this->instance = $s_instance; }
  public function GetInstance() { return $this->instance; }
  
  public function GetValue( $name )
  {
    $data_value = null;
    
    if( $this->instance == null )
      throw new GZ_Exception( 'Instance not set', 'GZ_DataMapper::GetValue' );
    
    foreach( $this->mappings as $next_mapping )
    {
      if( $next_mapping['name'] == $name )
      {
        $extract_cmd = '$data_value = $this->instance->' . $next_mapping['access_method'] . '();';

        eval( $extract_cmd );

        if( $next_mapping['conversion_function'] != null )
          eval( '$data_value = $data_value->' . $next_mapping['conversion_function'] . '();' );
        break;
      }
    }
    
    return $data_value;
  }
  
  // PRIVATE
      
  private $instance;
  private $mappings;
};



?>