<?php

/**
 * Written by David Smith
 * nopeer@gmail.com
 *
 * For ATNF CSIRO
 *
 **/


// NOTE, we need to include the definitions of all the classes that we might be storing in session
// date before we start the session. Clearly something has changed and php must now be instantiated
// these classes when the session starts, as opposed to when we request them (which im sure used to
// be the case).
require_once 'Classes/Model/ObsSetParameters.php';
require_once 'Classes/Model/ObservationSet.php';
require_once 'Classes/Astro/MJD.php';
require_once 'Classes/General/Date.php';




session_start();



require_once './config.php';
require_once GREEN_ZONE_DIR . 'Utils/GreenZone.php';
require_once GREEN_ZONE_DIR . 'Utils/GZ_Logger.php';
require_once 'Forms/ArchivePage.php';
require_once 'Classes/Astro/Band.php';



try
{
  list($month, $year) = split(' ', date( 'n Y' ));
  
  $gz = new GreenZone();
  $gz->SetupLogFile( './logs/' . $year . $month . '.log' );
  $gz->connect( DB_HOST, DB_USER, DB_PASSWD, DB_NAME );
  $gz->EnsureSecure();

  // add code here to setup static variables
  Band::SetupStaticData();

  $page = new ArchivePage( $gz );
  $page->ReadForm();
  $page->ProcessActions();
  $page->Display();
  $page = NULL;
}
catch( Exception $e )
{
  // TODO make better error handling output
  echo 'The following unhandled exception was encountered: ' . $e->getMessage() . '<BR>';
}


session_write_close();

?>